Subject: Re: What's cooking in git.git (Apr 2014, #08; Fri, 25)

From: Michael Haggerty <[email-masked]>
Date: Fri, 09 May 2014 18:53:32 +0200

On 04/26/2014 01:19 AM, Jeff King wrote:
> On Fri, Apr 25, 2014 at 03:50:26PM -0700, Junio C Hamano wrote:
> [...]
>> * fc/publish-vs-upstream (2014-04-21) 8 commits
>>  - sha1_name: add support for @{publish} marks
>>  - sha1_name: simplify track finding
>>  - sha1_name: cleanup interpret_branch_name()
>>  - branch: display publish branch
>>  - push: add --set-publish option
>>  - branch: add --set-publish-to option
>>  - Add concept of 'publish' branch
>>  - t5516 (fetch-push): fix test restoration
>>
>>  Add branch@{publish}; it seems that this is somewhat different from
>>  Ram and Peff started working on.  There were many discussion
>>  messages going back and forth but it does not appear that the
>>  design issues have been worked out among participants yet.
> 
> [...]
> As for the patches themselves, I have not reviewed them carefully, and
> would prefer not to. As I mentioned before, though, I would prefer the
> short "@{p}" not be taken for @{publish} until it has proven itself.

Is it too late and/or impossible to think of a different name for either
"push" or "publish" so that their single-letter abbreviations don't
coincide?

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/